Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 427378 - sci-libs/gdal-1.9.1 gdalinfo fails to recognize classic netcdf (3) files
Summary: sci-libs/gdal-1.9.1 gdalinfo fails to recognize classic netcdf (3) files
Status: RESOLVED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Sci-geo Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-20 18:59 UTC by James Hiebert
Modified: 2013-06-25 01:13 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James Hiebert 2012-07-20 18:59:12 UTC
Using sci-libs/gdal-1.9.1 _with_ the netcdf USE flag enabled, the gdal library fails to open or detect the format of any classic netcdf version 3 files.  When I try to run gdalinfo on a classic netcdf file I get the error:
ERROR 4: `/tmp/agt_p1stmxa_199512.nc' not recognised as a supported file format.
Same error when trying to open the same file with the python gdal bindings.
I have built gdal-1.9.1 from upstrean subversion and upstream's gdalinfo opens the same files without problems (see Expected Results).

Reproducible: Always

Steps to Reproduce:
james@basalt ~/code/svn/gdal-1.9.1/gdal $ file /tmp/aet_pptemp700_210011.nc 
/tmp/aet_pptemp700_210011.nc: NetCDF Data Format data
james@basalt ~/code/svn/gdal-1.9.1/gdal $ which gdalinfo
/usr/bin/gdalinfo
james@basalt ~/code/svn/gdal-1.9.1/gdal $ gdalinfo /tmp/aet_pptemp700_210011.nc 
ERROR 4: `/tmp/aet_pptemp700_210011.nc' not recognised as a supported file format.

gdalinfo failed - unable to open '/tmp/aet_pptemp700_210011.nc'.

Actual Results:  
gdalinfo failed to recognize the file

Expected Results:  
$ svn co https://svn.osgeo.org/gdal/tags/1.9.1 gdal-1.9.1

(default configure and make which enables netcdf)

james@basalt ~/code/svn/gdal-1.9.1/gdal $ apps/gdalinfo /tmp/aet_pptemp700_210011.nc 
Driver: netCDF/Network Common Data Format
Files: /tmp/aet_pptemp700_210011.nc
Size is 512, 512
Coordinate System is `'
Metadata:
  NC_GLOBAL#atmospheric_nesting_data=(CGCM CGCM) (3.1 t47 3.1 t47) (mc_abv mc_abu) (6h 6h)
  NC_GLOBAL#Conventions=CF-1.1
  NC_GLOBAL#format_conversion=cdf2ccc 2.0 using netcdf-3.6.2 and udunits1.12.4
  NC_GLOBAL#ghg_scenario=sresa2
  NC_GLOBAL#history=converted on 2011-01-20 at Ouranos
  NC_GLOBAL#institution=Ouranos
  NC_GLOBAL#prescribed_ocean_data=(CGCM CGCM) (3.1 t47 3.1 t47) (mc_abv mc_abu) (da da)
  NC_GLOBAL#references=Contact climate scenario group at Ouranos (http://www.ouranos.ca) for reference information
  NC_GLOBAL#source=MRCC 4.2.3, simulation aet
Subdatasets:
  SUBDATASET_1_NAME=NETCDF:"/tmp/aet_pptemp700_210011.nc":lon
  SUBDATASET_1_DESC=[172x180] longitude (32-bit floating-point)
  SUBDATASET_2_NAME=NETCDF:"/tmp/aet_pptemp700_210011.nc":lat
  SUBDATASET_2_DESC=[172x180] latitude (32-bit floating-point)
  SUBDATASET_3_NAME=NETCDF:"/tmp/aet_pptemp700_210011.nc":temp
  SUBDATASET_3_DESC=[120x1x172x180] air_temperature (8-bit integer)
Corner Coordinates:
Upper Left  (    0.0,    0.0)
Lower Left  (    0.0,  512.0)
Upper Right (  512.0,    0.0)
Lower Right (  512.0,  512.0)
Center      (  256.0,  256.0)

[ebuild   R   ~] sci-libs/gdal-1.9.1  USE="aux_xml geos gif gml hdf5 jpeg netcdf pdf png postgres python -armadillo -curl -debug -doc -ecwj2k -fits -java -jpeg2k -mdb -mysql -odbc -ogdi -opencl -perl -ruby -spatialite -sqlite -threads -xls" 0 kB

Portage 2.1.10.65 (default/linux/amd64/10.0/desktop/gnome, gcc-4.4.6, glibc-2.14.1-r3, 3.3.8-gentoo x86_64)
=================================================================
System uname: Linux-3.3.8-gentoo-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E6750_@_2.66GHz-with-gentoo-2.1
Timestamp of tree: Fri, 20 Jul 2012 16:05:01 +0000
distcc 3.1 x86_64-pc-linux-gnu [enabled]
app-shells/bash:          4.2_p20
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.1.5, 3.2.3
dev-util/cmake:           2.8.7-r5
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.9.8.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.11.1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.4.6-r1
sys-devel/gcc-config:     1.6
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 3.4-r1 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r3
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA skype-eula dlj-1.1 googleearth AdobeFlash-10.1 Oracle-BCLA-JavaSE PUEL AdobeFlash-10.3 skype-4.0.0.7-copyright"
CBUILD="x86_64-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe"
CHOST="x86_64-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /usr/share/maven-bin-2.2/conf"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core2 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distcc distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://gentoo.arcticnetwork.ca/pub/gentoo/ http://gentoo.arcticnetwork.ca/ http://gentoo.gossamerhost.com rsync://gentoo.gossamerhost.com/gentoo-distfiles/ rsync://mirror.the-best-hosting.net/gentoo-distfiles http://mirror.the-best-hosting.net ftp://mirrors.tera-byte.com/pub/gentoo http://gentoo.mirrors.tera-byte.com/ rsync://mirrors.tera-byte.com/gentoo http://mirror.csclub.uwaterloo.ca/gentoo-distfiles/ ftp://mirror.csclub.uwaterloo.ca/gentoo-distfiles/ http://mirrors.cs.wmich.edu/gentoo http://gentoo.osuosl.org/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j36"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cli colord consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr eds emacs emboss encode evo exif fam firefox flac fortran gdbm geos gif gml gnome gnome-keyring gnome-online-accounts gnutls gpg gpm gstreamer gtk hdf hdf5 iconv imap ipv6 jpeg lcms ldap libnotify mad mbox mercurial mmx mng modules mp3 mp4 mpeg mudflap multilib nautilus ncurses netcdf nls nptl ogg opengl openmp pam pango pcre pdf png policykit postgres ppds pppd pulseaudio python qt3support qt4 readline sdl session smime smtp socialweb spell sql sse sse2 ssl startup-notification svg tcpd tiff truetype udev udisks unicode upower usb vorbis wxwidgets x264 xcb xml xorg xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="nvidia nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7 3.1"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 James Hiebert 2012-08-14 21:35:05 UTC
Anyone?  Anyone?
Comment 2 Justin Lecher gentoo-dev 2012-12-26 13:37:25 UTC
Is this fixed in version 1.9.2?
Comment 3 Aaron W. Swenson gentoo-dev 2013-06-24 23:36:56 UTC
Let us know if the issue persists in gdal-1.10.0-r1.
Comment 4 James Hiebert 2013-06-25 01:13:56 UTC
This appears to be resolved for both 1.9.2 and 1.10.0-r1.

Thanks.